require "json"
require "somemoji"

image_paths = %w(
  emoji_u00a9.png
  emoji_u00ae.png
  emoji_u1f0cf.png
  emoji_u1f1e6.png
  emoji_u1f1e7.png
  emoji_u1f1e8_1f1f3.png
  emoji_u1f1e8.png
  emoji_u1f1e9_1f1ea.png
  emoji_u1f1e9.png
  emoji_u1f1ea_1f1f8.png
  emoji_u1f1ea.png
  emoji_u1f1eb_1f1f7.png
  emoji_u1f1eb.png
  emoji_u1f1ec_1f1e7.png
  emoji_u1f1ec.png
  emoji_u1f1ed.png
  emoji_u1f1ee_1f1f9.png
  emoji_u1f1ee.png
  emoji_u1f1ef_1f1f5.png
  emoji_u1f1ef.png
  emoji_u1f1f0_1f1f7.png
  emoji_u1f1f0.png
  emoji_u1f1f1.png
  emoji_u1f1f2.png
  emoji_u1f1f3.png
  emoji_u1f1f4.png
  emoji_u1f1f5.png
  emoji_u1f1f6.png
  emoji_u1f1f7_1f1fa.png
  emoji_u1f1f7.png
  emoji_u1f1f8.png
  emoji_u1f1f9.png
  emoji_u1f1fa_1f1f8.png
  emoji_u1f1fa.png
  emoji_u1f1fb.png
  emoji_u1f1fc.png
  emoji_u1f1fd.png
  emoji_u1f1fe.png
  emoji_u1f1ff.png
  emoji_u1f3a0.png
  emoji_u1f3a1.png
  emoji_u1f3a2.png
  emoji_u1f3a3.png
  emoji_u1f3a4.png
  emoji_u1f3a5.png
  emoji_u1f3a6.png
  emoji_u1f3a7.png
  emoji_u1f3a8.png
  emoji_u1f3a9.png
  emoji_u1f3aa.png
  emoji_u1f3ab.png
  emoji_u1f3ac.png
  emoji_u1f3ad.png
  emoji_u1f3ae.png
  emoji_u1f3af.png
  emoji_u1f3b0.png
  emoji_u1f3b1.png
  emoji_u1f3b2.png
  emoji_u1f3b3.png
  emoji_u1f3b4.png
  emoji_u1f3b5.png
  emoji_u1f3b6.png
  emoji_u1f3b7.png
  emoji_u1f3b8.png
  emoji_u1f3b9.png
  emoji_u1f3ba.png
  emoji_u1f3bb.png
  emoji_u1f3bc.png
  emoji_u1f3bd.png
  emoji_u1f3be.png
  emoji_u1f3bf.png
  emoji_u1f3c0.png
  emoji_u1f3c1.png
  emoji_u1f3c2.png
  emoji_u1f3c3_1f3fb.png
  emoji_u1f3c3_1f3fc.png
  emoji_u1f3c3_1f3fd.png
  emoji_u1f3c3_1f3fe.png
  emoji_u1f3c3_1f3ff.png
  emoji_u1f3c3.png
  emoji_u1f3c4_1f3fb.png
  emoji_u1f3c4_1f3fc.png
  emoji_u1f3c4_1f3fd.png
  emoji_u1f3c4_1f3fe.png
  emoji_u1f3c4_1f3ff.png
  emoji_u1f3c4.png
  emoji_u1f3c5.png
  emoji_u1f3c6.png
  emoji_u1f3c7.png
  emoji_u1f3c8.png
  emoji_u1f3c9.png
  emoji_u1f3ca_1f3fb.png
  emoji_u1f3ca_1f3fc.png
  emoji_u1f3ca_1f3fd.png
  emoji_u1f3ca_1f3fe.png
  emoji_u1f3ca_1f3ff.png
  emoji_u1f3ca.png
  emoji_u1f3cb_1f3fb.png
  emoji_u1f3cb_1f3fc.png
  emoji_u1f3cb_1f3fd.png
  emoji_u1f3cb_1f3fe.png
  emoji_u1f3cb_1f3ff.png
  emoji_u1f3cb.png
  emoji_u1f3cc.png
  emoji_u1f3cd.png
  emoji_u1f3ce.png
  emoji_u1f3cf.png
  emoji_u1f3d0.png
  emoji_u1f3d1.png
  emoji_u1f3d2.png
  emoji_u1f3d3.png
  emoji_u1f3d4.png
  emoji_u1f3d5.png
  emoji_u1f3d6.png
  emoji_u1f3d7.png
  emoji_u1f3d8.png
  emoji_u1f3d9.png
  emoji_u1f3da.png
  emoji_u1f3db.png
  emoji_u1f3dc.png
  emoji_u1f3dd.png
  emoji_u1f3de.png
  emoji_u1f3df.png
  emoji_u1f3e0.png
  emoji_u1f3e1.png
  emoji_u1f3e2.png
  emoji_u1f3e3.png
  emoji_u1f3e4.png
  emoji_u1f3e5.png
  emoji_u1f3e6.png
  emoji_u1f3e7.png
  emoji_u1f3e8.png
  emoji_u1f3e9.png
  emoji_u1f3ea.png
  emoji_u1f3eb.png
  emoji_u1f3ec.png
  emoji_u1f3ed.png
  emoji_u1f3ee.png
  emoji_u1f3ef.png
  emoji_u1f3f0.png
  emoji_u1f3f3.png
  emoji_u1f3f4.png
  emoji_u1f3f5.png
  emoji_u1f3f7.png
  emoji_u1f3f8.png
  emoji_u1f3f9.png
  emoji_u1f3fa.png
  emoji_u1f3fb.png
  emoji_u1f3fc.png
  emoji_u1f3fd.png
  emoji_u1f3fe.png
  emoji_u1f3ff.png
  emoji_u1f004.png
  emoji_u1f4a0.png
  emoji_u1f4a1.png
  emoji_u1f4a2.png
  emoji_u1f4a3.png
  emoji_u1f4a4.png
  emoji_u1f4a5.png
  emoji_u1f4a6.png
  emoji_u1f4a7.png
  emoji_u1f4a8.png
  emoji_u1f4a9.png
  emoji_u1f4aa_1f3fb.png
  emoji_u1f4aa_1f3fc.png
  emoji_u1f4aa_1f3fd.png
  emoji_u1f4aa_1f3fe.png
  emoji_u1f4aa_1f3ff.png
  emoji_u1f4aa.png
  emoji_u1f4ab.png
  emoji_u1f4ac.png
  emoji_u1f4ad.png
  emoji_u1f4ae.png
  emoji_u1f4af.png
  emoji_u1f4b0.png
  emoji_u1f4b1.png
  emoji_u1f4b2.png
  emoji_u1f4b3.png
  emoji_u1f4b4.png
  emoji_u1f4b5.png
  emoji_u1f4b6.png
  emoji_u1f4b7.png
  emoji_u1f4b8.png
  emoji_u1f4b9.png
  emoji_u1f4ba.png
  emoji_u1f4bb.png
  emoji_u1f4bc.png
  emoji_u1f4bd.png
  emoji_u1f4be.png
  emoji_u1f4bf.png
  emoji_u1f4c0.png
  emoji_u1f4c1.png
  emoji_u1f4c2.png
  emoji_u1f4c3.png
  emoji_u1f4c4.png
  emoji_u1f4c5.png
  emoji_u1f4c6.png
  emoji_u1f4c7.png
  emoji_u1f4c8.png
  emoji_u1f4c9.png
  emoji_u1f4ca.png
  emoji_u1f4cb.png
  emoji_u1f4cc.png
  emoji_u1f4cd.png
  emoji_u1f4ce.png
  emoji_u1f4cf.png
  emoji_u1f4d0.png
  emoji_u1f4d1.png
  emoji_u1f4d2.png
  emoji_u1f4d3.png
  emoji_u1f4d4.png
  emoji_u1f4d5.png
  emoji_u1f4d6.png
  emoji_u1f4d7.png
  emoji_u1f4d8.png
  emoji_u1f4d9.png
  emoji_u1f4da.png
  emoji_u1f4db.png
  emoji_u1f4dc.png
  emoji_u1f4dd.png
  emoji_u1f4de.png
  emoji_u1f4df.png
  emoji_u1f4e0.png
  emoji_u1f4e1.png
  emoji_u1f4e2.png
  emoji_u1f4e3.png
  emoji_u1f4e4.png
  emoji_u1f4e5.png
  emoji_u1f4e6.png
  emoji_u1f4e7.png
  emoji_u1f4e8.png
  emoji_u1f4e9.png
  emoji_u1f4ea.png
  emoji_u1f4eb.png
  emoji_u1f4ec.png
  emoji_u1f4ed.png
  emoji_u1f4ee.png
  emoji_u1f4ef.png
  emoji_u1f4f0.png
  emoji_u1f4f1.png
  emoji_u1f4f2.png
  emoji_u1f4f3.png
  emoji_u1f4f4.png
  emoji_u1f4f5.png
  emoji_u1f4f6.png
  emoji_u1f4f7.png
  emoji_u1f4f8.png
  emoji_u1f4f9.png
  emoji_u1f4fa.png
  emoji_u1f4fb.png
  emoji_u1f4fc.png
  emoji_u1f4fd.png
  emoji_u1f4ff.png
  emoji_u1f5a4.png
  emoji_u1f5a5.png
  emoji_u1f5a8.png
  emoji_u1f5b1.png
  emoji_u1f5b2.png
  emoji_u1f5bc.png
  emoji_u1f5c2.png
  emoji_u1f5c3.png
  emoji_u1f5c4.png
  emoji_u1f5d1.png
  emoji_u1f5d2.png
  emoji_u1f5d3.png
  emoji_u1f5dc.png
  emoji_u1f5dd.png
  emoji_u1f5de.png
  emoji_u1f5e1.png
  emoji_u1f5e3.png
  emoji_u1f5e8.png
  emoji_u1f5ef.png
  emoji_u1f5f3.png
  emoji_u1f5fa.png
  emoji_u1f5fb.png
  emoji_u1f5fc.png
  emoji_u1f5fd.png
  emoji_u1f5fe.png
  emoji_u1f5ff.png
  emoji_u1f6a0.png
  emoji_u1f6a1.png
  emoji_u1f6a2.png
  emoji_u1f6a3_1f3fb.png
  emoji_u1f6a3_1f3fc.png
  emoji_u1f6a3_1f3fd.png
  emoji_u1f6a3_1f3fe.png
  emoji_u1f6a3_1f3ff.png
  emoji_u1f6a3.png
  emoji_u1f6a4.png
  emoji_u1f6a5.png
  emoji_u1f6a6.png
  emoji_u1f6a7.png
  emoji_u1f6a8.png
  emoji_u1f6a9.png
  emoji_u1f6aa.png
  emoji_u1f6ab.png
  emoji_u1f6ac.png
  emoji_u1f6ad.png
  emoji_u1f6ae.png
  emoji_u1f6af.png
  emoji_u1f6b0.png
  emoji_u1f6b1.png
  emoji_u1f6b2.png
  emoji_u1f6b3.png
  emoji_u1f6b4_1f3fb.png
  emoji_u1f6b4_1f3fc.png
  emoji_u1f6b4_1f3fd.png
  emoji_u1f6b4_1f3fe.png
  emoji_u1f6b4_1f3ff.png
  emoji_u1f6b4.png
  emoji_u1f6b5_1f3fb.png
  emoji_u1f6b5_1f3fc.png
  emoji_u1f6b5_1f3fd.png
  emoji_u1f6b5_1f3fe.png
  emoji_u1f6b5_1f3ff.png
  emoji_u1f6b5.png
  emoji_u1f6b6_1f3fb.png
  emoji_u1f6b6_1f3fc.png
  emoji_u1f6b6_1f3fd.png
  emoji_u1f6b6_1f3fe.png
  emoji_u1f6b6_1f3ff.png
  emoji_u1f6b6.png
  emoji_u1f6b7.png
  emoji_u1f6b8.png
  emoji_u1f6b9.png
  emoji_u1f6ba.png
  emoji_u1f6bb.png
  emoji_u1f6bc.png
  emoji_u1f6bd.png
  emoji_u1f6be.png
  emoji_u1f6bf.png
  emoji_u1f6c0_1f3fb.png
  emoji_u1f6c0_1f3fc.png
  emoji_u1f6c0_1f3fd.png
  emoji_u1f6c0_1f3fe.png
  emoji_u1f6c0_1f3ff.png
  emoji_u1f6c0.png
  emoji_u1f6c1.png
  emoji_u1f6c2.png
  emoji_u1f6c3.png
  emoji_u1f6c4.png
  emoji_u1f6c5.png
  emoji_u1f6cb.png
  emoji_u1f6cc.png
  emoji_u1f6cd.png
  emoji_u1f6ce.png
  emoji_u1f6cf.png
  emoji_u1f6d0.png
  emoji_u1f6d1.png
  emoji_u1f6d2.png
  emoji_u1f6e0.png
  emoji_u1f6e1.png
  emoji_u1f6e2.png
  emoji_u1f6e3.png
  emoji_u1f6e4.png
  emoji_u1f6e5.png
  emoji_u1f6e9.png
  emoji_u1f6eb.png
  emoji_u1f6ec.png
  emoji_u1f6f0.png
  emoji_u1f6f3.png
  emoji_u1f6f4.png
  emoji_u1f6f5.png
  emoji_u1f6f6.png
  emoji_u1f9c0.png
  emoji_u1f17e.png
  emoji_u1f17f.png
  emoji_u1f18e.png
  emoji_u1f19a.png
  emoji_u1f21a.png
  emoji_u1f22f.png
  emoji_u1f23a.png
  emoji_u1f30a.png
  emoji_u1f30b.png
  emoji_u1f30c.png
  emoji_u1f30d.png
  emoji_u1f30e.png
  emoji_u1f30f.png
  emoji_u1f31a.png
  emoji_u1f31b.png
  emoji_u1f31c.png
  emoji_u1f31d.png
  emoji_u1f31e.png
  emoji_u1f31f.png
  emoji_u1f32a.png
  emoji_u1f32b.png
  emoji_u1f32c.png
  emoji_u1f32d.png
  emoji_u1f32e.png
  emoji_u1f32f.png
  emoji_u1f33a.png
  emoji_u1f33b.png
  emoji_u1f33c.png
  emoji_u1f33d.png
  emoji_u1f33e.png
  emoji_u1f33f.png
  emoji_u1f34a.png
  emoji_u1f34b.png
  emoji_u1f34c.png
  emoji_u1f34d.png
  emoji_u1f34e.png
  emoji_u1f34f.png
  emoji_u1f35a.png
  emoji_u1f35b.png
  emoji_u1f35c.png
  emoji_u1f35d.png
  emoji_u1f35e.png
  emoji_u1f35f.png
  emoji_u1f36a.png
  emoji_u1f36b.png
  emoji_u1f36c.png
  emoji_u1f36d.png
  emoji_u1f36e.png
  emoji_u1f36f.png
  emoji_u1f37a.png
  emoji_u1f37b.png
  emoji_u1f37c.png
  emoji_u1f37d.png
  emoji_u1f37e.png
  emoji_u1f37f.png
  emoji_u1f38a.png
  emoji_u1f38b.png
  emoji_u1f38c.png
  emoji_u1f38d.png
  emoji_u1f38e.png
  emoji_u1f38f.png
  emoji_u1f39a.png
  emoji_u1f39b.png
  emoji_u1f39e.png
  emoji_u1f39f.png
  emoji_u1f40a.png
  emoji_u1f40b.png
  emoji_u1f40c.png
  emoji_u1f40d.png
  emoji_u1f40e.png
  emoji_u1f40f.png
  emoji_u1f41a.png
  emoji_u1f41b.png
  emoji_u1f41c.png
  emoji_u1f41d.png
  emoji_u1f41e.png
  emoji_u1f41f.png
  emoji_u1f42a.png
  emoji_u1f42b.png
  emoji_u1f42c.png
  emoji_u1f42d.png
  emoji_u1f42e.png
  emoji_u1f42f.png
  emoji_u1f43a.png
  emoji_u1f43b.png
  emoji_u1f43c.png
  emoji_u1f43d.png
  emoji_u1f43e.png
  emoji_u1f43f.png
  emoji_u1f44a_1f3fb.png
  emoji_u1f44a_1f3fc.png
  emoji_u1f44a_1f3fd.png
  emoji_u1f44a_1f3fe.png
  emoji_u1f44a_1f3ff.png
  emoji_u1f44a.png
  emoji_u1f44b_1f3fb.png
  emoji_u1f44b_1f3fc.png
  emoji_u1f44b_1f3fd.png
  emoji_u1f44b_1f3fe.png
  emoji_u1f44b_1f3ff.png
  emoji_u1f44b.png
  emoji_u1f44c_1f3fb.png
  emoji_u1f44c_1f3fc.png
  emoji_u1f44c_1f3fd.png
  emoji_u1f44c_1f3fe.png
  emoji_u1f44c_1f3ff.png
  emoji_u1f44c.png
  emoji_u1f44d_1f3fb.png
  emoji_u1f44d_1f3fc.png
  emoji_u1f44d_1f3fd.png
  emoji_u1f44d_1f3fe.png
  emoji_u1f44d_1f3ff.png
  emoji_u1f44d.png
  emoji_u1f44e_1f3fb.png
  emoji_u1f44e_1f3fc.png
  emoji_u1f44e_1f3fd.png
  emoji_u1f44e_1f3fe.png
  emoji_u1f44e_1f3ff.png
  emoji_u1f44e.png
  emoji_u1f44f_1f3fb.png
  emoji_u1f44f_1f3fc.png
  emoji_u1f44f_1f3fd.png
  emoji_u1f44f_1f3fe.png
  emoji_u1f44f_1f3ff.png
  emoji_u1f44f.png
  emoji_u1f45a.png
  emoji_u1f45b.png
  emoji_u1f45c.png
  emoji_u1f45d.png
  emoji_u1f45e.png
  emoji_u1f45f.png
  emoji_u1f46a.png
  emoji_u1f46b.png
  emoji_u1f46c.png
  emoji_u1f46d.png
  emoji_u1f46e_1f3fb.png
  emoji_u1f46e_1f3fc.png
  emoji_u1f46e_1f3fd.png
  emoji_u1f46e_1f3fe.png
  emoji_u1f46e_1f3ff.png
  emoji_u1f46e.png
  emoji_u1f46f.png
  emoji_u1f47a.png
  emoji_u1f47b.png
  emoji_u1f47c_1f3fb.png
  emoji_u1f47c_1f3fc.png
  emoji_u1f47c_1f3fd.png
  emoji_u1f47c_1f3fe.png
  emoji_u1f47c_1f3ff.png
  emoji_u1f47c.png
  emoji_u1f47d.png
  emoji_u1f47e.png
  emoji_u1f47f.png
  emoji_u1f48a.png
  emoji_u1f48b.png
  emoji_u1f48c.png
  emoji_u1f48d.png
  emoji_u1f48e.png
  emoji_u1f48f.png
  emoji_u1f49a.png
  emoji_u1f49b.png
  emoji_u1f49c.png
  emoji_u1f49d.png
  emoji_u1f49e.png
  emoji_u1f49f.png
  emoji_u1f50a.png
  emoji_u1f50b.png
  emoji_u1f50c.png
  emoji_u1f50d.png
  emoji_u1f50e.png
  emoji_u1f50f.png
  emoji_u1f51a.png
  emoji_u1f51b.png
  emoji_u1f51c.png
  emoji_u1f51d.png
  emoji_u1f51e.png
  emoji_u1f51f.png
  emoji_u1f52a.png
  emoji_u1f52b.png
  emoji_u1f52c.png
  emoji_u1f52d.png
  emoji_u1f52e.png
  emoji_u1f52f.png
  emoji_u1f53a.png
  emoji_u1f53b.png
  emoji_u1f53c.png
  emoji_u1f53d.png
  emoji_u1f54a.png
  emoji_u1f54b.png
  emoji_u1f54c.png
  emoji_u1f54d.png
  emoji_u1f54e.png
  emoji_u1f55a.png
  emoji_u1f55b.png
  emoji_u1f55c.png
  emoji_u1f55d.png
  emoji_u1f55e.png
  emoji_u1f55f.png
  emoji_u1f56f.png
  emoji_u1f57a_1f3fb.png
  emoji_u1f57a_1f3fc.png
  emoji_u1f57a_1f3fd.png
  emoji_u1f57a_1f3fe.png
  emoji_u1f57a_1f3ff.png
  emoji_u1f57a.png
  emoji_u1f58a.png
  emoji_u1f58b.png
  emoji_u1f58c.png
  emoji_u1f58d.png
  emoji_u1f60a.png
  emoji_u1f60b.png
  emoji_u1f60c.png
  emoji_u1f60d.png
  emoji_u1f60e.png
  emoji_u1f60f.png
  emoji_u1f61a.png
  emoji_u1f61b.png
  emoji_u1f61c.png
  emoji_u1f61d.png
  emoji_u1f61e.png
  emoji_u1f61f.png
  emoji_u1f62a.png
  emoji_u1f62b.png
  emoji_u1f62c.png
  emoji_u1f62d.png
  emoji_u1f62e.png
  emoji_u1f62f.png
  emoji_u1f63a.png
  emoji_u1f63b.png
  emoji_u1f63c.png
  emoji_u1f63d.png
  emoji_u1f63e.png
  emoji_u1f63f.png
  emoji_u1f64a.png
  emoji_u1f64b_1f3fb.png
  emoji_u1f64b_1f3fc.png
  emoji_u1f64b_1f3fd.png
  emoji_u1f64b_1f3fe.png
  emoji_u1f64b_1f3ff.png
  emoji_u1f64b.png
  emoji_u1f64c_1f3fb.png
  emoji_u1f64c_1f3fc.png
  emoji_u1f64c_1f3fd.png
  emoji_u1f64c_1f3fe.png
  emoji_u1f64c_1f3ff.png
  emoji_u1f64c.png
  emoji_u1f64d_1f3fb.png
  emoji_u1f64d_1f3fc.png
  emoji_u1f64d_1f3fd.png
  emoji_u1f64d_1f3fe.png
  emoji_u1f64d_1f3ff.png
  emoji_u1f64d.png
  emoji_u1f64e_1f3fb.png
  emoji_u1f64e_1f3fc.png
  emoji_u1f64e_1f3fd.png
  emoji_u1f64e_1f3fe.png
  emoji_u1f64e_1f3ff.png
  emoji_u1f64e.png
  emoji_u1f64f_1f3fb.png
  emoji_u1f64f_1f3fc.png
  emoji_u1f64f_1f3fd.png
  emoji_u1f64f_1f3fe.png
  emoji_u1f64f_1f3ff.png
  emoji_u1f64f.png
  emoji_u1f68a.png
  emoji_u1f68b.png
  emoji_u1f68c.png
  emoji_u1f68d.png
  emoji_u1f68e.png
  emoji_u1f68f.png
  emoji_u1f69a.png
  emoji_u1f69b.png
  emoji_u1f69c.png
  emoji_u1f69d.png
  emoji_u1f69e.png
  emoji_u1f69f.png
  emoji_u1f91a_1f3fb.png
  emoji_u1f91a_1f3fc.png
  emoji_u1f91a_1f3fd.png
  emoji_u1f91a_1f3fe.png
  emoji_u1f91a_1f3ff.png
  emoji_u1f91a.png
  emoji_u1f91b_1f3fb.png
  emoji_u1f91b_1f3fc.png
  emoji_u1f91b_1f3fd.png
  emoji_u1f91b_1f3fe.png
  emoji_u1f91b_1f3ff.png
  emoji_u1f91b.png
  emoji_u1f91c_1f3fb.png
  emoji_u1f91c_1f3fc.png
  emoji_u1f91c_1f3fd.png
  emoji_u1f91c_1f3fe.png
  emoji_u1f91c_1f3ff.png
  emoji_u1f91c.png
  emoji_u1f91d_1f3fb.png
  emoji_u1f91d_1f3fc.png
  emoji_u1f91d_1f3fd.png
  emoji_u1f91d_1f3fe.png
  emoji_u1f91d_1f3ff.png
  emoji_u1f91d.png
  emoji_u1f91e_1f3fb.png
  emoji_u1f91e_1f3fc.png
  emoji_u1f91e_1f3fd.png
  emoji_u1f91e_1f3fe.png
  emoji_u1f91e_1f3ff.png
  emoji_u1f91e.png
  emoji_u1f93a.png
  emoji_u1f93c_1f3fb.png
  emoji_u1f93c_1f3fc.png
  emoji_u1f93c_1f3fd.png
  emoji_u1f93c_1f3fe.png
  emoji_u1f93c_1f3ff.png
  emoji_u1f93c.png
  emoji_u1f93d_1f3fb.png
  emoji_u1f93d_1f3fc.png
  emoji_u1f93d_1f3fd.png
  emoji_u1f93d_1f3fe.png
  emoji_u1f93d_1f3ff.png
  emoji_u1f93d.png
  emoji_u1f93e_1f3fb.png
  emoji_u1f93e_1f3fc.png
  emoji_u1f93e_1f3fd.png
  emoji_u1f93e_1f3fe.png
  emoji_u1f93e_1f3ff.png
  emoji_u1f93e.png
  emoji_u1f94a.png
  emoji_u1f94b.png
  emoji_u1f95a.png
  emoji_u1f95b.png
  emoji_u1f95c.png
  emoji_u1f95d.png
  emoji_u1f95e.png
  emoji_u1f98a.png
  emoji_u1f98b.png
  emoji_u1f98c.png
  emoji_u1f98d.png
  emoji_u1f98e.png
  emoji_u1f98f.png
  emoji_u1f170.png
  emoji_u1f171.png
  emoji_u1f191.png
  emoji_u1f192.png
  emoji_u1f193.png
  emoji_u1f194.png
  emoji_u1f195.png
  emoji_u1f196.png
  emoji_u1f197.png
  emoji_u1f198.png
  emoji_u1f199.png
  emoji_u1f201.png
  emoji_u1f202.png
  emoji_u1f232.png
  emoji_u1f233.png
  emoji_u1f234.png
  emoji_u1f235.png
  emoji_u1f236.png
  emoji_u1f237.png
  emoji_u1f238.png
  emoji_u1f239.png
  emoji_u1f250.png
  emoji_u1f251.png
  emoji_u1f300.png
  emoji_u1f301.png
  emoji_u1f302.png
  emoji_u1f303.png
  emoji_u1f304.png
  emoji_u1f305.png
  emoji_u1f306.png
  emoji_u1f307.png
  emoji_u1f308.png
  emoji_u1f309.png
  emoji_u1f310.png
  emoji_u1f311.png
  emoji_u1f312.png
  emoji_u1f313.png
  emoji_u1f314.png
  emoji_u1f315.png
  emoji_u1f316.png
  emoji_u1f317.png
  emoji_u1f318.png
  emoji_u1f319.png
  emoji_u1f320.png
  emoji_u1f321.png
  emoji_u1f324.png
  emoji_u1f325.png
  emoji_u1f326.png
  emoji_u1f327.png
  emoji_u1f328.png
  emoji_u1f329.png
  emoji_u1f330.png
  emoji_u1f331.png
  emoji_u1f332.png
  emoji_u1f333.png
  emoji_u1f334.png
  emoji_u1f335.png
  emoji_u1f336.png
  emoji_u1f337.png
  emoji_u1f338.png
  emoji_u1f339.png
  emoji_u1f340.png
  emoji_u1f341.png
  emoji_u1f342.png
  emoji_u1f343.png
  emoji_u1f344.png
  emoji_u1f345.png
  emoji_u1f346.png
  emoji_u1f347.png
  emoji_u1f348.png
  emoji_u1f349.png
  emoji_u1f350.png
  emoji_u1f351.png
  emoji_u1f352.png
  emoji_u1f353.png
  emoji_u1f354.png
  emoji_u1f355.png
  emoji_u1f356.png
  emoji_u1f357.png
  emoji_u1f358.png
  emoji_u1f359.png
  emoji_u1f360.png
  emoji_u1f361.png
  emoji_u1f362.png
  emoji_u1f363.png
  emoji_u1f364.png
  emoji_u1f365.png
  emoji_u1f366.png
  emoji_u1f367.png
  emoji_u1f368.png
  emoji_u1f369.png
  emoji_u1f370.png
  emoji_u1f371.png
  emoji_u1f372.png
  emoji_u1f373.png
  emoji_u1f374.png
  emoji_u1f375.png
  emoji_u1f376.png
  emoji_u1f377.png
  emoji_u1f378.png
  emoji_u1f379.png
  emoji_u1f380.png
  emoji_u1f381.png
  emoji_u1f382.png
  emoji_u1f383.png
  emoji_u1f384.png
  emoji_u1f385_1f3fb.png
  emoji_u1f385_1f3fc.png
  emoji_u1f385_1f3fd.png
  emoji_u1f385_1f3fe.png
  emoji_u1f385_1f3ff.png
  emoji_u1f385.png
  emoji_u1f386.png
  emoji_u1f387.png
  emoji_u1f388.png
  emoji_u1f389.png
  emoji_u1f390.png
  emoji_u1f391.png
  emoji_u1f392.png
  emoji_u1f393.png
  emoji_u1f396.png
  emoji_u1f397.png
  emoji_u1f399.png
  emoji_u1f400.png
  emoji_u1f401.png
  emoji_u1f402.png
  emoji_u1f403.png
  emoji_u1f404.png
  emoji_u1f405.png
  emoji_u1f406.png
  emoji_u1f407.png
  emoji_u1f408.png
  emoji_u1f409.png
  emoji_u1f410.png
  emoji_u1f411.png
  emoji_u1f412.png
  emoji_u1f413.png
  emoji_u1f414.png
  emoji_u1f415.png
  emoji_u1f416.png
  emoji_u1f417.png
  emoji_u1f418.png
  emoji_u1f419.png
  emoji_u1f420.png
  emoji_u1f421.png
  emoji_u1f422.png
  emoji_u1f423.png
  emoji_u1f424.png
  emoji_u1f425.png
  emoji_u1f426.png
  emoji_u1f427.png
  emoji_u1f428.png
  emoji_u1f429.png
  emoji_u1f430.png
  emoji_u1f431.png
  emoji_u1f432.png
  emoji_u1f433.png
  emoji_u1f434.png
  emoji_u1f435.png
  emoji_u1f436.png
  emoji_u1f437.png
  emoji_u1f438.png
  emoji_u1f439.png
  emoji_u1f440.png
  emoji_u1f441_200d_1f5e8.png
  emoji_u1f441.png
  emoji_u1f442_1f3fb.png
  emoji_u1f442_1f3fc.png
  emoji_u1f442_1f3fd.png
  emoji_u1f442_1f3fe.png
  emoji_u1f442_1f3ff.png
  emoji_u1f442.png
  emoji_u1f443_1f3fb.png
  emoji_u1f443_1f3fc.png
  emoji_u1f443_1f3fd.png
  emoji_u1f443_1f3fe.png
  emoji_u1f443_1f3ff.png
  emoji_u1f443.png
  emoji_u1f444.png
  emoji_u1f445.png
  emoji_u1f446_1f3fb.png
  emoji_u1f446_1f3fc.png
  emoji_u1f446_1f3fd.png
  emoji_u1f446_1f3fe.png
  emoji_u1f446_1f3ff.png
  emoji_u1f446.png
  emoji_u1f447_1f3fb.png
  emoji_u1f447_1f3fc.png
  emoji_u1f447_1f3fd.png
  emoji_u1f447_1f3fe.png
  emoji_u1f447_1f3ff.png
  emoji_u1f447.png
  emoji_u1f448_1f3fb.png
  emoji_u1f448_1f3fc.png
  emoji_u1f448_1f3fd.png
  emoji_u1f448_1f3fe.png
  emoji_u1f448_1f3ff.png
  emoji_u1f448.png
  emoji_u1f449_1f3fb.png
  emoji_u1f449_1f3fc.png
  emoji_u1f449_1f3fd.png
  emoji_u1f449_1f3fe.png
  emoji_u1f449_1f3ff.png
  emoji_u1f449.png
  emoji_u1f450_1f3fb.png
  emoji_u1f450_1f3fc.png
  emoji_u1f450_1f3fd.png
  emoji_u1f450_1f3fe.png
  emoji_u1f450_1f3ff.png
  emoji_u1f450.png
  emoji_u1f451.png
  emoji_u1f452.png
  emoji_u1f453.png
  emoji_u1f454.png
  emoji_u1f455.png
  emoji_u1f456.png
  emoji_u1f457.png
  emoji_u1f458.png
  emoji_u1f459.png
  emoji_u1f460.png
  emoji_u1f461.png
  emoji_u1f462.png
  emoji_u1f463.png
  emoji_u1f464.png
  emoji_u1f465.png
  emoji_u1f466_1f3fb.png
  emoji_u1f466_1f3fc.png
  emoji_u1f466_1f3fd.png
  emoji_u1f466_1f3fe.png
  emoji_u1f466_1f3ff.png
  emoji_u1f466.png
  emoji_u1f467_1f3fb.png
  emoji_u1f467_1f3fc.png
  emoji_u1f467_1f3fd.png
  emoji_u1f467_1f3fe.png
  emoji_u1f467_1f3ff.png
  emoji_u1f467.png
  emoji_u1f468_1f3fb.png
  emoji_u1f468_1f3fc.png
  emoji_u1f468_1f3fd.png
  emoji_u1f468_1f3fe.png
  emoji_u1f468_1f3ff.png
  emoji_u1f468_200d_1f468_200d_1f466_200d_1f466.png
  emoji_u1f468_200d_1f468_200d_1f466.png
  emoji_u1f468_200d_1f468_200d_1f467_200d_1f466.png
  emoji_u1f468_200d_1f468_200d_1f467_200d_1f467.png
  emoji_u1f468_200d_1f468_200d_1f467.png
  emoji_u1f468_200d_1f469_200d_1f466_200d_1f466.png
  emoji_u1f468_200d_1f469_200d_1f467_200d_1f466.png
  emoji_u1f468_200d_1f469_200d_1f467_200d_1f467.png
  emoji_u1f468_200d_1f469_200d_1f467.png
  emoji_u1f468_200d_2764_fe0f_200d_1f48b_200d_1f468.png
  emoji_u1f468_200d_2764_fe0f_200d_1f468.png
  emoji_u1f468.png
  emoji_u1f469_1f3fb.png
  emoji_u1f469_1f3fc.png
  emoji_u1f469_1f3fd.png
  emoji_u1f469_1f3fe.png
  emoji_u1f469_1f3ff.png
  emoji_u1f469_200d_1f469_200d_1f466_200d_1f466.png
  emoji_u1f469_200d_1f469_200d_1f466.png
  emoji_u1f469_200d_1f469_200d_1f467_200d_1f466.png
  emoji_u1f469_200d_1f469_200d_1f467_200d_1f467.png
  emoji_u1f469_200d_1f469_200d_1f467.png
  emoji_u1f469_200d_2764_fe0f_200d_1f48b_200d_1f469.png
  emoji_u1f469_200d_2764_fe0f_200d_1f469.png
  emoji_u1f469.png
  emoji_u1f470_1f3fb.png
  emoji_u1f470_1f3fc.png
  emoji_u1f470_1f3fd.png
  emoji_u1f470_1f3fe.png
  emoji_u1f470_1f3ff.png
  emoji_u1f470.png
  emoji_u1f471_1f3fb.png
  emoji_u1f471_1f3fc.png
  emoji_u1f471_1f3fd.png
  emoji_u1f471_1f3fe.png
  emoji_u1f471_1f3ff.png
  emoji_u1f471.png
  emoji_u1f472_1f3fb.png
  emoji_u1f472_1f3fc.png
  emoji_u1f472_1f3fd.png
  emoji_u1f472_1f3fe.png
  emoji_u1f472_1f3ff.png
  emoji_u1f472.png
  emoji_u1f473_1f3fb.png
  emoji_u1f473_1f3fc.png
  emoji_u1f473_1f3fd.png
  emoji_u1f473_1f3fe.png
  emoji_u1f473_1f3ff.png
  emoji_u1f473.png
  emoji_u1f474_1f3fb.png
  emoji_u1f474_1f3fc.png
  emoji_u1f474_1f3fd.png
  emoji_u1f474_1f3fe.png
  emoji_u1f474_1f3ff.png
  emoji_u1f474.png
  emoji_u1f475_1f3fb.png
  emoji_u1f475_1f3fc.png
  emoji_u1f475_1f3fd.png
  emoji_u1f475_1f3fe.png
  emoji_u1f475_1f3ff.png
  emoji_u1f475.png
  emoji_u1f476_1f3fb.png
  emoji_u1f476_1f3fc.png
  emoji_u1f476_1f3fd.png
  emoji_u1f476_1f3fe.png
  emoji_u1f476_1f3ff.png
  emoji_u1f476.png
  emoji_u1f477_1f3fb.png
  emoji_u1f477_1f3fc.png
  emoji_u1f477_1f3fd.png
  emoji_u1f477_1f3fe.png
  emoji_u1f477_1f3ff.png
  emoji_u1f477.png
  emoji_u1f478_1f3fb.png
  emoji_u1f478_1f3fc.png
  emoji_u1f478_1f3fd.png
  emoji_u1f478_1f3fe.png
  emoji_u1f478_1f3ff.png
  emoji_u1f478.png
  emoji_u1f479.png
  emoji_u1f480.png
  emoji_u1f481_1f3fb.png
  emoji_u1f481_1f3fc.png
  emoji_u1f481_1f3fd.png
  emoji_u1f481_1f3fe.png
  emoji_u1f481_1f3ff.png
  emoji_u1f481.png
  emoji_u1f482_1f3fb.png
  emoji_u1f482_1f3fc.png
  emoji_u1f482_1f3fd.png
  emoji_u1f482_1f3fe.png
  emoji_u1f482_1f3ff.png
  emoji_u1f482.png
  emoji_u1f483_1f3fb.png
  emoji_u1f483_1f3fc.png
  emoji_u1f483_1f3fd.png
  emoji_u1f483_1f3fe.png
  emoji_u1f483_1f3ff.png
  emoji_u1f483.png
  emoji_u1f484.png
  emoji_u1f485_1f3fb.png
  emoji_u1f485_1f3fc.png
  emoji_u1f485_1f3fd.png
  emoji_u1f485_1f3fe.png
  emoji_u1f485_1f3ff.png
  emoji_u1f485.png
  emoji_u1f486_1f3fb.png
  emoji_u1f486_1f3fc.png
  emoji_u1f486_1f3fd.png
  emoji_u1f486_1f3fe.png
  emoji_u1f486_1f3ff.png
  emoji_u1f486.png
  emoji_u1f487_1f3fb.png
  emoji_u1f487_1f3fc.png
  emoji_u1f487_1f3fd.png
  emoji_u1f487_1f3fe.png
  emoji_u1f487_1f3ff.png
  emoji_u1f487.png
  emoji_u1f488.png
  emoji_u1f489.png
  emoji_u1f490.png
  emoji_u1f491.png
  emoji_u1f492.png
  emoji_u1f493.png
  emoji_u1f494.png
  emoji_u1f495.png
  emoji_u1f496.png
  emoji_u1f497.png
  emoji_u1f498.png
  emoji_u1f499.png
  emoji_u1f500.png
  emoji_u1f501.png
  emoji_u1f502.png
  emoji_u1f503.png
  emoji_u1f504.png
  emoji_u1f505.png
  emoji_u1f506.png
  emoji_u1f507.png
  emoji_u1f508.png
  emoji_u1f509.png
  emoji_u1f510.png
  emoji_u1f511.png
  emoji_u1f512.png
  emoji_u1f513.png
  emoji_u1f514.png
  emoji_u1f515.png
  emoji_u1f516.png
  emoji_u1f517.png
  emoji_u1f518.png
  emoji_u1f519.png
  emoji_u1f520.png
  emoji_u1f521.png
  emoji_u1f522.png
  emoji_u1f523.png
  emoji_u1f524.png
  emoji_u1f525.png
  emoji_u1f526.png
  emoji_u1f527.png
  emoji_u1f528.png
  emoji_u1f529.png
  emoji_u1f530.png
  emoji_u1f531.png
  emoji_u1f532.png
  emoji_u1f533.png
  emoji_u1f534.png
  emoji_u1f535.png
  emoji_u1f536.png
  emoji_u1f537.png
  emoji_u1f538.png
  emoji_u1f539.png
  emoji_u1f549.png
  emoji_u1f550.png
  emoji_u1f551.png
  emoji_u1f552.png
  emoji_u1f553.png
  emoji_u1f554.png
  emoji_u1f555.png
  emoji_u1f556.png
  emoji_u1f557.png
  emoji_u1f558.png
  emoji_u1f559.png
  emoji_u1f560.png
  emoji_u1f561.png
  emoji_u1f562.png
  emoji_u1f563.png
  emoji_u1f564.png
  emoji_u1f565.png
  emoji_u1f566.png
  emoji_u1f567.png
  emoji_u1f570.png
  emoji_u1f573.png
  emoji_u1f574.png
  emoji_u1f575_1f3fb.png
  emoji_u1f575_1f3fc.png
  emoji_u1f575_1f3fd.png
  emoji_u1f575_1f3fe.png
  emoji_u1f575_1f3ff.png
  emoji_u1f575.png
  emoji_u1f576.png
  emoji_u1f577.png
  emoji_u1f578.png
  emoji_u1f579.png
  emoji_u1f587.png
  emoji_u1f590_1f3fb.png
  emoji_u1f590_1f3fc.png
  emoji_u1f590_1f3fd.png
  emoji_u1f590_1f3fe.png
  emoji_u1f590_1f3ff.png
  emoji_u1f590.png
  emoji_u1f595_1f3fb.png
  emoji_u1f595_1f3fc.png
  emoji_u1f595_1f3fd.png
  emoji_u1f595_1f3fe.png
  emoji_u1f595_1f3ff.png
  emoji_u1f595.png
  emoji_u1f596_1f3fb.png
  emoji_u1f596_1f3fc.png
  emoji_u1f596_1f3fd.png
  emoji_u1f596_1f3fe.png
  emoji_u1f596_1f3ff.png
  emoji_u1f596.png
  emoji_u1f600.png
  emoji_u1f601.png
  emoji_u1f602.png
  emoji_u1f603.png
  emoji_u1f604.png
  emoji_u1f605.png
  emoji_u1f606.png
  emoji_u1f607.png
  emoji_u1f608.png
  emoji_u1f609.png
  emoji_u1f610.png
  emoji_u1f611.png
  emoji_u1f612.png
  emoji_u1f613.png
  emoji_u1f614.png
  emoji_u1f615.png
  emoji_u1f616.png
  emoji_u1f617.png
  emoji_u1f618.png
  emoji_u1f619.png
  emoji_u1f620.png
  emoji_u1f621.png
  emoji_u1f622.png
  emoji_u1f623.png
  emoji_u1f624.png
  emoji_u1f625.png
  emoji_u1f626.png
  emoji_u1f627.png
  emoji_u1f628.png
  emoji_u1f629.png
  emoji_u1f630.png
  emoji_u1f631.png
  emoji_u1f632.png
  emoji_u1f633.png
  emoji_u1f634.png
  emoji_u1f635.png
  emoji_u1f636.png
  emoji_u1f637.png
  emoji_u1f638.png
  emoji_u1f639.png
  emoji_u1f640.png
  emoji_u1f641.png
  emoji_u1f642.png
  emoji_u1f643.png
  emoji_u1f644.png
  emoji_u1f645_1f3fb.png
  emoji_u1f645_1f3fc.png
  emoji_u1f645_1f3fd.png
  emoji_u1f645_1f3fe.png
  emoji_u1f645_1f3ff.png
  emoji_u1f645.png
  emoji_u1f646_1f3fb.png
  emoji_u1f646_1f3fc.png
  emoji_u1f646_1f3fd.png
  emoji_u1f646_1f3fe.png
  emoji_u1f646_1f3ff.png
  emoji_u1f646.png
  emoji_u1f647_1f3fb.png
  emoji_u1f647_1f3fc.png
  emoji_u1f647_1f3fd.png
  emoji_u1f647_1f3fe.png
  emoji_u1f647_1f3ff.png
  emoji_u1f647.png
  emoji_u1f648.png
  emoji_u1f649.png
  emoji_u1f680.png
  emoji_u1f681.png
  emoji_u1f682.png
  emoji_u1f683.png
  emoji_u1f684.png
  emoji_u1f685.png
  emoji_u1f686.png
  emoji_u1f687.png
  emoji_u1f688.png
  emoji_u1f689.png
  emoji_u1f690.png
  emoji_u1f691.png
  emoji_u1f692.png
  emoji_u1f693.png
  emoji_u1f694.png
  emoji_u1f695.png
  emoji_u1f696.png
  emoji_u1f697.png
  emoji_u1f698.png
  emoji_u1f699.png
  emoji_u1f910.png
  emoji_u1f911.png
  emoji_u1f912.png
  emoji_u1f913.png
  emoji_u1f914.png
  emoji_u1f915.png
  emoji_u1f916.png
  emoji_u1f917.png
  emoji_u1f918_1f3fb.png
  emoji_u1f918_1f3fc.png
  emoji_u1f918_1f3fd.png
  emoji_u1f918_1f3fe.png
  emoji_u1f918_1f3ff.png
  emoji_u1f918.png
  emoji_u1f919_1f3fb.png
  emoji_u1f919_1f3fc.png
  emoji_u1f919_1f3fd.png
  emoji_u1f919_1f3fe.png
  emoji_u1f919_1f3ff.png
  emoji_u1f919.png
  emoji_u1f920.png
  emoji_u1f921.png
  emoji_u1f922.png
  emoji_u1f923.png
  emoji_u1f924.png
  emoji_u1f925.png
  emoji_u1f926_1f3fb.png
  emoji_u1f926_1f3fc.png
  emoji_u1f926_1f3fd.png
  emoji_u1f926_1f3fe.png
  emoji_u1f926_1f3ff.png
  emoji_u1f926.png
  emoji_u1f927.png
  emoji_u1f930_1f3fb.png
  emoji_u1f930_1f3fc.png
  emoji_u1f930_1f3fd.png
  emoji_u1f930_1f3fe.png
  emoji_u1f930_1f3ff.png
  emoji_u1f930.png
  emoji_u1f933_1f3fb.png
  emoji_u1f933_1f3fc.png
  emoji_u1f933_1f3fd.png
  emoji_u1f933_1f3fe.png
  emoji_u1f933_1f3ff.png
  emoji_u1f933.png
  emoji_u1f934_1f3fb.png
  emoji_u1f934_1f3fc.png
  emoji_u1f934_1f3fd.png
  emoji_u1f934_1f3fe.png
  emoji_u1f934_1f3ff.png
  emoji_u1f934.png
  emoji_u1f935_1f3fb.png
  emoji_u1f935_1f3fc.png
  emoji_u1f935_1f3fd.png
  emoji_u1f935_1f3fe.png
  emoji_u1f935_1f3ff.png
  emoji_u1f935.png
  emoji_u1f936_1f3fb.png
  emoji_u1f936_1f3fc.png
  emoji_u1f936_1f3fd.png
  emoji_u1f936_1f3fe.png
  emoji_u1f936_1f3ff.png
  emoji_u1f936.png
  emoji_u1f937_1f3fb.png
  emoji_u1f937_1f3fc.png
  emoji_u1f937_1f3fd.png
  emoji_u1f937_1f3fe.png
  emoji_u1f937_1f3ff.png
  emoji_u1f937.png
  emoji_u1f938_1f3fb.png
  emoji_u1f938_1f3fc.png
  emoji_u1f938_1f3fd.png
  emoji_u1f938_1f3fe.png
  emoji_u1f938_1f3ff.png
  emoji_u1f938.png
  emoji_u1f939_1f3fb.png
  emoji_u1f939_1f3fc.png
  emoji_u1f939_1f3fd.png
  emoji_u1f939_1f3fe.png
  emoji_u1f939_1f3ff.png
  emoji_u1f939.png
  emoji_u1f940.png
  emoji_u1f941.png
  emoji_u1f942.png
  emoji_u1f943.png
  emoji_u1f944.png
  emoji_u1f945.png
  emoji_u1f947.png
  emoji_u1f948.png
  emoji_u1f949.png
  emoji_u1f950.png
  emoji_u1f951.png
  emoji_u1f952.png
  emoji_u1f953.png
  emoji_u1f954.png
  emoji_u1f955.png
  emoji_u1f956.png
  emoji_u1f957.png
  emoji_u1f958.png
  emoji_u1f959.png
  emoji_u1f980.png
  emoji_u1f981.png
  emoji_u1f982.png
  emoji_u1f983.png
  emoji_u1f984.png
  emoji_u1f985.png
  emoji_u1f986.png
  emoji_u1f987.png
  emoji_u1f988.png
  emoji_u1f989.png
  emoji_u1f990.png
  emoji_u1f991.png
  emoji_u002a_20e3.png
  emoji_u002a.png
  emoji_u2b1b.png
  emoji_u2b1c.png
  emoji_u2b05.png
  emoji_u2b06.png
  emoji_u2b07.png
  emoji_u2b50.png
  emoji_u2b55.png
  emoji_u20e3.png
  emoji_u21a9.png
  emoji_u21aa.png
  emoji_u0023_20e3.png
  emoji_u0023.png
  emoji_u23cf.png
  emoji_u23e9.png
  emoji_u23ea.png
  emoji_u23eb.png
  emoji_u23ec.png
  emoji_u23ed.png
  emoji_u23ee.png
  emoji_u23ef.png
  emoji_u23f0.png
  emoji_u23f1.png
  emoji_u23f2.png
  emoji_u23f3.png
  emoji_u23f8.png
  emoji_u23f9.png
  emoji_u23fa.png
  emoji_u24c2.png
  emoji_u25aa.png
  emoji_u25ab.png
  emoji_u25b6.png
  emoji_u25c0.png
  emoji_u25fb.png
  emoji_u25fc.png
  emoji_u25fd.png
  emoji_u25fe.png
  emoji_u26a0.png
  emoji_u26a1.png
  emoji_u26aa.png
  emoji_u26ab.png
  emoji_u26b0.png
  emoji_u26b1.png
  emoji_u26bd.png
  emoji_u26be.png
  emoji_u26c4.png
  emoji_u26c5.png
  emoji_u26c8.png
  emoji_u26ce.png
  emoji_u26cf.png
  emoji_u26d1.png
  emoji_u26d3.png
  emoji_u26d4.png
  emoji_u26e9.png
  emoji_u26ea.png
  emoji_u26f0.png
  emoji_u26f1.png
  emoji_u26f2.png
  emoji_u26f3.png
  emoji_u26f4.png
  emoji_u26f5.png
  emoji_u26f7.png
  emoji_u26f8.png
  emoji_u26f9_1f3fb.png
  emoji_u26f9_1f3fc.png
  emoji_u26f9_1f3fd.png
  emoji_u26f9_1f3fe.png
  emoji_u26f9_1f3ff.png
  emoji_u26f9.png
  emoji_u26fa.png
  emoji_u26fd.png
  emoji_u27a1.png
  emoji_u27b0.png
  emoji_u27bf.png
  emoji_u0030_20e3.png
  emoji_u0030.png
  emoji_u0031_20e3.png
  emoji_u0031.png
  emoji_u0032_20e3.png
  emoji_u0032.png
  emoji_u0033_20e3.png
  emoji_u0033.png
  emoji_u0034_20e3.png
  emoji_u0034.png
  emoji_u0035_20e3.png
  emoji_u0035.png
  emoji_u0036_20e3.png
  emoji_u0036.png
  emoji_u0037_20e3.png
  emoji_u0037.png
  emoji_u0038_20e3.png
  emoji_u0038.png
  emoji_u0039_20e3.png
  emoji_u0039.png
  emoji_u203c.png
  emoji_u231a.png
  emoji_u231b.png
  emoji_u260e.png
  emoji_u261d_1f3fb.png
  emoji_u261d_1f3fc.png
  emoji_u261d_1f3fd.png
  emoji_u261d_1f3fe.png
  emoji_u261d_1f3ff.png
  emoji_u261d.png
  emoji_u262a.png
  emoji_u262e.png
  emoji_u262f.png
  emoji_u263a.png
  emoji_u264a.png
  emoji_u264b.png
  emoji_u264c.png
  emoji_u264d.png
  emoji_u264e.png
  emoji_u264f.png
  emoji_u267b.png
  emoji_u267f.png
  emoji_u269b.png
  emoji_u269c.png
  emoji_u270a_1f3fb.png
  emoji_u270a_1f3fc.png
  emoji_u270a_1f3fd.png
  emoji_u270a_1f3fe.png
  emoji_u270a_1f3ff.png
  emoji_u270a.png
  emoji_u270b_1f3fb.png
  emoji_u270b_1f3fc.png
  emoji_u270b_1f3fd.png
  emoji_u270b_1f3fe.png
  emoji_u270b_1f3ff.png
  emoji_u270b.png
  emoji_u270c_1f3fb.png
  emoji_u270c_1f3fc.png
  emoji_u270c_1f3fd.png
  emoji_u270c_1f3fe.png
  emoji_u270c_1f3ff.png
  emoji_u270c.png
  emoji_u270d_1f3fb.png
  emoji_u270d_1f3fc.png
  emoji_u270d_1f3fd.png
  emoji_u270d_1f3fe.png
  emoji_u270d_1f3ff.png
  emoji_u270d.png
  emoji_u270f.png
  emoji_u271d.png
  emoji_u274c.png
  emoji_u274e.png
  emoji_u303d.png
  emoji_u2049.png
  emoji_u2122.png
  emoji_u2139.png
  emoji_u2194.png
  emoji_u2195.png
  emoji_u2196.png
  emoji_u2197.png
  emoji_u2198.png
  emoji_u2199.png
  emoji_u2328.png
  emoji_u2600.png
  emoji_u2601.png
  emoji_u2602.png
  emoji_u2603.png
  emoji_u2604.png
  emoji_u2611.png
  emoji_u2614.png
  emoji_u2615.png
  emoji_u2618.png
  emoji_u2620.png
  emoji_u2622.png
  emoji_u2623.png
  emoji_u2626.png
  emoji_u2638.png
  emoji_u2639.png
  emoji_u2648.png
  emoji_u2649.png
  emoji_u2650.png
  emoji_u2651.png
  emoji_u2652.png
  emoji_u2653.png
  emoji_u2660.png
  emoji_u2663.png
  emoji_u2665.png
  emoji_u2666.png
  emoji_u2668.png
  emoji_u2692.png
  emoji_u2693.png
  emoji_u2694.png
  emoji_u2696.png
  emoji_u2697.png
  emoji_u2699.png
  emoji_u2702.png
  emoji_u2705.png
  emoji_u2708.png
  emoji_u2709.png
  emoji_u2712.png
  emoji_u2714.png
  emoji_u2716.png
  emoji_u2721.png
  emoji_u2728.png
  emoji_u2733.png
  emoji_u2734.png
  emoji_u2744.png
  emoji_u2747.png
  emoji_u2753.png
  emoji_u2754.png
  emoji_u2755.png
  emoji_u2757.png
  emoji_u2763.png
  emoji_u2764.png
  emoji_u2795.png
  emoji_u2796.png
  emoji_u2797.png
  emoji_u2934.png
  emoji_u2935.png
  emoji_u3030.png
  emoji_u3297.png
  emoji_u3299.png
  emoji_ufe82b.png
  p4p_u262e_200d_1f5fc.png
  unknown_flag.png
)

table = Somemoji.emoji_collection.each_with_object({}) do |emoji, object|
  object[emoji.abbreviated_code_points] = emoji
  object[emoji.code_points] = emoji
end

emojis = image_paths.map do |image_path|
  code_points = ::File.basename(image_path, ".png").gsub("emoji_u", "").split("_").map do |code_point|
    code_point.to_i(16).to_s(16)
  end
  table[code_points]
end.compact

open(Somemoji.noto_supported_characters_path, "w") do |file|
  file.puts(JSON.pretty_generate(emojis.map(&:character).uniq.sort))
end
